import type { _NSCoder } from "./NSCoder.js";
import type { _NSScriptClassDescription } from "./NSScriptClassDescription.js";
import type { _NSScriptObjectSpecifier } from "./NSScriptObjectSpecifier.js";
import type { _NSString } from "./NSString.js";
export declare class _NSNameSpecifier extends _NSScriptObjectSpecifier {
    static alloc(): _NSNameSpecifier;
    static new(): _NSNameSpecifier;
    init(): _NSNameSpecifier;
    initWithCoder$(inCoder: _NSCoder): _NSNameSpecifier | null;
    initWithContainerClassDescription$containerSpecifier$key$name$(classDesc: _NSScriptClassDescription, container: _NSScriptObjectSpecifier | null, property: _NSString, name: _NSString): _NSNameSpecifier;
    name(): _NSString;
    setName$(value: _NSString): void;
}
